#!/bin/bash

# Configuration settings for HABMC tests.
#
# NUSMV: path to NuSMV executable.
# RUN: path to RUN program.
# BENCH_PATH: location of test folder.
# TMP_DIR: Temporary path.


# benchmark path is the dir on top of bin

case "$HOSTNAME" in
    milth)
        BENCH_PATH=..
        NUSMV=${BENCH_PATH}/../esmc
        RUN=run
        TMPDIR=/tmp
        NOTIFYTO=mover@fbk.eu
        ;;
    *)
        # location of tmp
        BENCH_PATH=..
        NUSMV=${BENCH_PATH}/../esmc
        RUN=${BENCH_PATH}/run
        # location of tmp
        TMPDIR=/tmp
        NOTIFYTO=
        ;;
esac;

# standard utilities
GDB=/usr/bin/gdb
VALGRIND=/usr/bin/valgrind

# project specific tools
CONFIG_PDIR=${BENCH_PATH}/bin
CHECK=${CONFIG_PDIR}/check.bash

# yes|no: save|not save the trace of the mathsat problem
HYCOMP_SAVE_MSAT_TRACES=no
# yes|no: just translate to smv, if it applies
ONLY_SMV_TRANSLATION=no